Skip to main content
GET
list sessions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
perPage
integer
default:10

Number of items per page (max 100)

Required range: 1 <= x <= 100

Search term to filter sessions by ID or client label

apiKeyId
string<uuid>

Filter sessions by API key ID

personaId
string<uuid>

Filter sessions by persona ID

active
boolean

Filter to sessions that are active with true or ended with false

from

Only sessions created at or after this time. An ISO 8601 date-time with an offset, such as 2026-11-01T00:00:00Z, or a date such as 2026-11-01 (midnight UTC).

to

Only sessions created before this time, in the same format as from. Must be later than from.

organizationId
string

List sessions of another organization. Restricted to Anam-internal admin API keys; other keys receive 403.

Response

Successfully retrieved sessions

data
object[]
meta
object

Pagination metadata returned alongside the data array of every list endpoint.